summaryrefslogtreecommitdiff
path: root/update.sh
diff options
context:
space:
mode:
authorNorbert Preining <norbert@preining.info>2017-07-14 12:00:16 +0900
committerNorbert Preining <norbert@preining.info>2017-07-14 12:00:16 +0900
commit7e3e955cfbad8964d65876161d07ddb869e1c0f7 (patch)
tree5953df5b41117f1797b0d8e7ea5a0e821b9c84ed /update.sh
parentbcc08d66ab8859f61cece53fed994bfe8403c5dc (diff)
collection handling automatized in update.sh
Diffstat (limited to 'update.sh')
-rwxr-xr-xupdate.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/update.sh b/update.sh
index 879d2995..90cb5203 100755
--- a/update.sh
+++ b/update.sh
@@ -47,6 +47,19 @@ for i in `ls tlpkg/tlpsrc/*.tlpsrc | sort` ; do
echo "depend $bn" >> $col
done
+git add $col
+if ! git diff --cached --exit-code >/dev/null ; then
+ # something is staged
+ echo "collection contrib is updated, diff is as following:"
+ git diff --cached
+ echo ""
+ echo -n "Do you want to commit these changes (y/N): "
+ read REPLY <&2
+ case $REPLY in
+ y*|Y*) git commit -m "collection-contrib updated" ;;
+ *) echo "Ok, leave it for now!" ;;
+ esac
+fi
if $do_tlpdb ; then
# update tlpdb